Appointments
Get Appointment
Returns the requested appointment.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Unique identifier for the resource.
Format
uuidQuery Parameters
include?array<"additional_fields" | "contact" | "status" | "calendar">
Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar.
include_details?array<string>
Dynamic detail fields to include. Use repeated query syntax: include_details=foo&include_details=bar.
Items
items <= 10Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/appointments/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "raw_description": "string", "external_id": "string", "status_key": "string", "type_key": "string", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "start_time": "2019-08-24T14:15:22Z", "end_time": "2019-08-24T14:15:22Z", "confirmed_at": "2019-08-24T14:15:22Z", "cancelled_at": "2019-08-24T14:15:22Z", "calendar_id": "c828ce68-4c5a-4491-b76a-af3d888d3f97", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "additional_fields": [ { "key": "string", "value": "string" } ], "contact": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string", "full_name": "string", "salutation": "string", "birthday": "2019-08-24T14:15:22Z", "description": "string", "external_id": "string", "secondary_external_id": "string", "address_line1": "string", "address_line2": "string", "city": "string", "zipcode": "string", "country": "string", "is_blocked": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "status": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key": "string", "name": "string", "type": "cancelled", "idx": 9007199254740991 }, "calendar": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "external_id": "string", "calendar_resource_id": "b91c4c5a-de69-4276-8281-8d05c6c9e77d", "type": "provider", "is_default": true, "scheduling_enabled": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "property1": null, "property2": null}